Bug 225404 - Emacs ports framework update and flavors
Summary: Emacs ports framework update and flavors
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Joseph Mingrone
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2018-01-23 14:07 UTC by Joseph Mingrone
Modified: 2018-04-02 09:12 UTC (History)
2 users (show)

See Also:
antoine: exp-run+


Attachments
Emacs Framework update and flavors (264.72 KB, patch)
2018-01-23 14:07 UTC, Joseph Mingrone
no flags Details | Diff
Emacs Framework update and flavors (264.83 KB, patch)
2018-01-23 15:01 UTC, Joseph Mingrone
ashish: maintainer-approval+
Details | Diff
updated patch generted with svn diff --patch-compatible (266.82 KB, patch)
2018-01-25 14:46 UTC, Joseph Mingrone
no flags Details | Diff
www/emacs-w3m diff (4.62 KB, patch)
2018-01-25 23:04 UTC, Joseph Mingrone
no flags Details | Diff
New Makefile for www/emacs-w3m (1.68 KB, text/plain)
2018-01-25 23:05 UTC, Joseph Mingrone
no flags Details
diff to fix www/emacs-w3m (505 bytes, patch)
2018-01-25 23:23 UTC, Joseph Mingrone
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joseph Mingrone freebsd_committer 2018-01-23 14:07:04 UTC
Created attachment 189999 [details]
Emacs Framework update and flavors

There is a Phabricator differential for this change.

https://reviews.freebsd.org/D13506
Comment 1 Joseph Mingrone freebsd_committer 2018-01-23 15:01:19 UTC
Created attachment 190000 [details]
Emacs Framework update and flavors

This is the same diff as the first one, except the maintainer field has been updated to emacs@ in Mk/Uses/emacs.mk, editors/emacs, and editors/emacs-devel.
Comment 2 Ashish SHUKLA freebsd_committer 2018-01-24 12:54:39 UTC
Comment on attachment 190000 [details]
Emacs Framework update and flavors

Approved, thanks for working on this.
Comment 3 Antoine Brodin freebsd_committer 2018-01-24 13:15:20 UTC
Can you regenerate the patch with svn diff --patch-compatible ?
Comment 4 Joseph Mingrone freebsd_committer 2018-01-25 14:46:18 UTC
Created attachment 190053 [details]
updated patch generted with svn diff --patch-compatible
Comment 5 Antoine Brodin freebsd_committer 2018-01-25 21:58:59 UTC
www/emacs-w3m@* fail to install (conflict with its dependency www/w3m)
Comment 6 Joseph Mingrone freebsd_committer 2018-01-25 22:59:22 UTC
Hmmm.. Thanks.  I will try to figure this out (including why I do not see a problem in a local poudriere run) and report back.

testport -i www/emacs-w3m: http://pkg.awarnach.mathstat.dal.ca/data/11amd64-default/2018-01-25_18h51m33s/logs/emacs-w3m-emacs25-1.4.598.b.20170903_3.log

testport -i www/emacs-w3m@nox: http://pkg.awarnach.mathstat.dal.ca/data/11amd64-default/2018-01-25_18h55m21s/logs/emacs-w3m-emacs25_nox-1.4.598.b.20170903_3.log

bulk -t -C ww/emacs-w3m@all: http://pkg.awarnach.mathstat.dal.ca/build.html?mastername=11amd64-default&build=2018-01-25_18h45m41s

Could you share a link to your poudriere build?
Comment 8 Joseph Mingrone freebsd_committer 2018-01-25 23:04:17 UTC
Created attachment 190072 [details]
www/emacs-w3m diff

Attached is a diff created with `git diff master www/emacs-w3m/Makefile`.
Comment 9 Joseph Mingrone freebsd_committer 2018-01-25 23:05:05 UTC
Created attachment 190073 [details]
New Makefile for www/emacs-w3m

Attached is the new Makefile for www/emacs-w3m.
Comment 10 Joseph Mingrone freebsd_committer 2018-01-25 23:23:20 UTC
Created attachment 190074 [details]
diff to fix www/emacs-w3m
Comment 11 Joseph Mingrone freebsd_committer 2018-01-25 23:25:59 UTC
I had the DOCS option for www/w3m turned off.  Attached is a new patch that fixes the issue you saw.
Comment 12 Antoine Brodin freebsd_committer 2018-01-26 15:44:51 UTC
Exp-run looks fine.
Comment 13 commit-hook freebsd_committer 2018-02-01 18:03:48 UTC
A commit references this bug:

Author: jrm
Date: Thu Feb  1 18:03:13 UTC 2018
New revision: 460621
URL: https://svnweb.freebsd.org/changeset/ports/460621

Log:
  Flavorize and modernize Emacs ports

  - Convert USE_EMACS to USES=emacs
  - Remove editors/emacs-nox11 (refer to nox flavors of editors/emacs and
    editors/emacs-devel)
  - Permit default Emacs flavor to be specified in make.conf
  - Rename japanese/migemo-emacs23 to japanese/migemo-emacs
  - Update and simplify audio/emms and fix build on FreeBSD 10 [1]
  - Update databases/bbdd and fix build on FreeBSD 10 [1]
  - Update editors/emacs-devel
  - Ensure Makefile shell commands that change directory are executed in a
    subshell
  - Silence some portlint warnings

  [1] By not depending on base texinfo

  PR:		225404
  Reviewed by:	antoine
  Approved by:	portmgr (mat) ashish (maintainer)
  Differential Revision:	https://reviews.freebsd.org/D13506

Changes:
  head/MOVED
  head/Mk/Uses/emacs.mk
  head/Mk/bsd.default-versions.mk
  head/Mk/bsd.emacs.mk
  head/Mk/bsd.port.mk
  head/UPDATING
  head/audio/emms/Makefile
  head/audio/emms/distinfo
  head/audio/emms/files/
  head/audio/emms/files/patch-Makefile
  head/audio/emms/files/patch-doc_Makefile
  head/cad/dinotrace/Makefile
  head/cad/verilog-mode.el/Makefile
  head/databases/bbdb/Makefile
  head/databases/bbdb/distinfo
  head/databases/bbdb/pkg-plist
  head/databases/gnats4/Makefile
  head/deskutils/howm/Makefile
  head/deskutils/howm/files/patch-howm-vars.el
  head/deskutils/howm/pkg-plist
  head/devel/cask/Makefile
  head/devel/cdash/Makefile
  head/devel/clojure-cider/Makefile
  head/devel/dash.el/Makefile
  head/devel/distel/Makefile
  head/devel/epl.el/Makefile
  head/devel/git-modes/Makefile
  head/devel/magit/Makefile
  head/devel/p5-Sepia/Makefile
  head/devel/pkg-info.el/Makefile
  head/devel/psvn/Makefile
  head/devel/pymacs/Makefile
  head/editors/Makefile
  head/editors/apel/Makefile
  head/editors/apel/files/patch-poe.el
  head/editors/apel/pkg-plist
  head/editors/emacs/Makefile
  head/editors/emacs/distinfo
  head/editors/emacs/pkg-descr
  head/editors/emacs/pkg-descr-canna
  head/editors/emacs/pkg-plist
  head/editors/emacs-devel/Makefile
  head/editors/emacs-devel/distinfo
  head/editors/emacs-devel/pkg-plist
  head/editors/emacs-nox11/
  head/editors/flim/Makefile
  head/editors/flim/files/_pkg.el
  head/editors/flim/pkg-plist
  head/editors/flim/pkg-plist.emacs21
  head/editors/paredit-mode.el/Makefile
  head/editors/psgml/Makefile
  head/editors/semi/Makefile
  head/editors/semi/pkg-plist
  head/editors/semi/pkg-plist.emacs20
  head/editors/slime/Makefile
  head/editors/tamago/Makefile
  head/editors/web-mode/Makefile
  head/editors/with-editor/Makefile
  head/graphics/xface.el/Makefile
  head/irc/riece/Makefile
  head/japanese/Makefile
  head/japanese/boiled-mozc/Makefile
  head/japanese/ddskk/Makefile
  head/japanese/lookup/Makefile
  head/japanese/lookup/pkg-plist
  head/japanese/migemo/Makefile
  head/japanese/migemo-emacs/
  head/japanese/migemo-emacs/Makefile
  head/japanese/migemo-emacs/pkg-descr
  head/japanese/migemo-emacs23/
  head/japanese/migemo.el/Makefile
  head/japanese/mozc-el/Makefile
  head/japanese/mozc-server/Makefile
  head/japanese/navi2ch/Makefile
  head/japanese/yc.el/Makefile
  head/japanese/yc.el/pkg-message
  head/lang/alchemist.el/Makefile
  head/lang/clojure-mode.el/Makefile
  head/lang/csharp-mode.el/Makefile
  head/lang/elixir-mode.el/Makefile
  head/lang/haskell-mode.el/Makefile
  head/lang/pure/Makefile
  head/lang/quack/Makefile
  head/lang/tuareg-mode.el/Makefile
  head/mail/anubis/Makefile
  head/mail/c-sig/Makefile
  head/mail/mailest/Makefile
  head/mail/mailutils/Makefile
  head/mail/mew/Makefile
  head/mail/mu4e/Makefile
  head/mail/mu4e-maildirs/Makefile
  head/mail/notmuch/Makefile
  head/mail/wanderlust/Makefile
  head/mail/wanderlust/files/patch-Makefile
  head/mail/wanderlust/files/patch-samples_en_dot.wl
  head/mail/wanderlust/files/patch-samples_ja_dot.wl
  head/mail/wanderlust/files/patch-utils_ptexinfmt.el
  head/mail/wanderlust/files/patch-wl_wl-draft.el
  head/mail/wanderlust/pkg-message
  head/mail/wanderlust/pkg-plist
  head/mail/wanderlust/pkg-plist.emacs
  head/mail/wanderlust-devel/Makefile
  head/mail/wanderlust-devel/files/patch-Makefile
  head/mail/wanderlust-devel/files/patch-WL-MK
  head/mail/wanderlust-devel/files/patch-samples_en_dot.wl
  head/mail/wanderlust-devel/files/patch-samples_ja_dot.wl
  head/mail/wanderlust-devel/pkg-plist
  head/mail/x-face-e21/Makefile
  head/mail/xcite/Makefile
  head/math/coq/Makefile
  head/math/ess/Makefile
  head/math/proofgeneral/Makefile
  head/misc/elscreen/Makefile
  head/misc/elscreen/pkg-plist
  head/net/gnu-radius/Makefile
  head/net/tramp/Makefile
  head/net/tramp/files/patch-texi-Makefile.in
  head/net/tramp/pkg-plist
  head/net-im/jabber.el/Makefile
  head/print/a2ps/Makefile
  head/print/auctex/Makefile
  head/print/hyperlatex/Makefile
  head/print/yatex/Makefile
  head/security/starttls/Makefile
  head/sysutils/lr/Makefile
  head/sysutils/puppet-mode.el/Makefile
  head/textproc/dictem/Makefile
  head/textproc/dictionary/Makefile
  head/textproc/doc-mode.el/Makefile
  head/textproc/emacs-wiki/Makefile
  head/textproc/htmlize.el/Makefile
  head/textproc/ibus-el/Makefile
  head/textproc/markdown-mode.el/Makefile
  head/textproc/muse/Makefile
  head/textproc/uim-el/Makefile
  head/textproc/xml-lite.el/Makefile
  head/textproc/xml-parse.el/Makefile
  head/textproc/yaml-mode.el/Makefile
  head/www/emacs-w3m/Makefile
  head/www/emacs-w3m/files/_pkg.el
  head/www/emacs-w3m/files/extra-patch-Makefile.in
  head/www/emacs-w3m/files/patch-Makefile.in
  head/www/emacs-w3m/pkg-plist